package com.ruoyi.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.ServiceBase;
import com.ruoyi.common.core.domain.TreeSelectCommon;

/**
 * 对外服务基础信息Service接口
 * 
 * @author gx
 * @date 2024-02-04
 */
public interface IServiceBaseService extends IService<ServiceBase> {

    /**
     * 查询对外服务基础信息列表
     * 
     * @param serviceBase 对外服务基础信息
     * @return 对外服务基础信息集合
     */
    List<ServiceBase> selectServiceBaseList(ServiceBase serviceBase);

    /**
     * 查询对外服务基础信息详情
     *
     * @param id 对外服务基础信息主键
     * @return 对外服务基础信息
     */
     ServiceBase selectServiceBaseById(Long id);

    /**
     * 新增对外服务基础信息
     * 
     * @param serviceBase 对外服务基础信息
     * @return 结果
     */
    int insertServiceBase(ServiceBase serviceBase);

    /**
     * 修改对外服务基础信息
     * 
     * @param serviceBase 对外服务基础信息
     * @return 结果
     */
    Boolean updateServiceBase(ServiceBase serviceBase);

    /**
     * 批量删除对外服务基础信息
     * 
     * @param ids 需要删除的对外服务基础信息主键集合
     * @return 结果
     */
    int deleteServiceBaseByIds(Long[] ids);

    /**
     * 删除对外服务基础信息信息
     * 
     * @param id 对外服务基础信息主键
     * @return 结果
     */
    int deleteServiceBaseById(Long id);

    List<TreeSelectCommon> selecServiceBaseTreeList(ServiceBase serviceBase);
}
